
Redmine - Defect #4540

Exception with Ruby 1.9.1_p376 and trunk

2010-01-08 16:44 - Victor NOEL

Status: Closed Start date: 2010-01-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Hello,

I am testing Redmine (trunk) with ruby 1.9.1_p376 (this is the default version in my distribution) and when I want to create a new

issue in a project I get the following exception (the used locale is French):

 NoMethodError in IssuesController#new

undefined method `stringify_keys!' for #<Array:0x00000005f64d70>

RAILS_ROOT: /home/victor/code/redmine-0.9

Application Trace | Framework Trace | Full Trace

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/base.rb:2737:in `attributes='

/home/victor/code/redmine-0.9/app/models/issue.rb:160:in `attributes_with_tracker_first='

/home/victor/code/redmine-0.9/app/controllers/issues_controller.rb:134:in `new'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/base.rb:2737:in `attributes='

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `perform_acti

on'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:617:in `call_filte

rs'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:610:in `perform_ac

tion_with_filters'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `block 

in perform_action_with_benchmark'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `

block in ms'

/usr/lib/ruby/1.9.1/benchmark.rb:309:in `realtime'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `

ms'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perfor

m_action_with_benchmark'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/rescue.rb:160:in `perform_act

ion_with_rescue'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/flash.rb:146:in `perform_acti

on_with_flash'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `process'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:606:in `process_wi

th_filters'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:391:in `process'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:386:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/routing/route_set.rb:437:in `

call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:87:in `dispatch

'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:130:in `block i

n build_middleware_stack'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `block in 

call'
/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/qu

ery_cache.rb:34:in `cache'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/co

nnection_pool.rb:361:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/string_coercion.rb:25:in `cal

l'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in

 `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/lock.rb:11:in `block in call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:106:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rails-2.3.5/lib/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:46:in `block in call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in `each'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rails-2.3.5/lib/rails/rack/log_tailer.rb:17:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/handler/webrick.rb:50:in `service'

/usr/lib/ruby/1.9.1/webrick/httpserver.rb:111:in `service'

/usr/lib/ruby/1.9.1/webrick/httpserver.rb:70:in `run'

/usr/lib/ruby/1.9.1/webrick/server.rb:183:in `block in start_thread'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/base.rb:2737:in `attributes='

/home/victor/code/redmine-0.9/app/models/issue.rb:160:in `attributes_with_tracker_first='

/home/victor/code/redmine-0.9/app/controllers/issues_controller.rb:134:in `new'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `perform_acti

on'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:617:in `call_filte

rs'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:610:in `perform_ac

tion_with_filters'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `block 

in perform_action_with_benchmark'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `

block in ms'

/usr/lib/ruby/1.9.1/benchmark.rb:309:in `realtime'

/usr/lib/ruby/gems/1.9.1/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `

ms'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perfor

m_action_with_benchmark'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/rescue.rb:160:in `perform_act

ion_with_rescue'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/flash.rb:146:in `perform_acti

on_with_flash'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `process'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/filters.rb:606:in `process_wi

th_filters'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:391:in `process'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/base.rb:386:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/routing/route_set.rb:437:in `

call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:87:in `dispatch

'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:121:in `_call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:130:in `block i

n build_middleware_stack'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `block in 

call'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/qu

ery_cache.rb:34:in `cache'
/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:9:in `cache'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:28:in `call'

/usr/lib/ruby/gems/1.9.1/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/co

nnection_pool.rb:361:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/string_coercion.rb:25:in `cal

l'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in

 `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/lock.rb:11:in `block in call'

:8:in `synchronize'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/usr/lib/ruby/gems/1.9.1/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:106:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rails-2.3.5/lib/rails/rack/static.rb:31:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:46:in `block in call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in `each'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rails-2.3.5/lib/rails/rack/log_tailer.rb:17:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rack-1.0.1/lib/rack/handler/webrick.rb:50:in `service'

/usr/lib/ruby/1.9.1/webrick/httpserver.rb:111:in `service'

/usr/lib/ruby/1.9.1/webrick/httpserver.rb:70:in `run'

/usr/lib/ruby/1.9.1/webrick/server.rb:183:in `block in start_thread'

Request

Parameters:

{"authenticity_token"=>"WUxJ2MkaGXVDg5IPfUiMXmO829k5dECOLAj22ql5dqo=",

 "issue"=>{"tracker_id"=>"1",

 "subject"=>"Test",

 "description"=>"euieua",

 "status_id"=>"1",

 "priority_id"=>"4",

 "assigned_to_id"=>"1",

 "start_date"=>"2010-01-08",

 "due_date"=>"",

 "estimated_hours"=>"10"},

 "attachments"=>{"1"=>{"description"=>""}},

 "commit"=>"Cr\xC3\xA9er",

 "project_id"=>"may"}

Show session dump

--- 

Response

Headers:

{"Cache-Control"=>"no-cache",

 "Content-Type"=>""}

 I tested with ruby 1.8.7_p248

Associated revisions

Revision 3289 - 2010-01-09 11:27 - Jean-Philippe Lang

Fixed: undefined method `stringify_keys!' error in Issue#attributes_with_tracker_first= with ruby1.9 (#4540).

History

#1 - 2010-01-09 10:50 - Jean-Philippe Lang

Victor NOEL wrote:
I am testing Redmine (trunk) with ruby 1.9.1_p376

[...]

I tested with ruby 1.8.7_p248

 This is unclear.

#2 - 2010-01-09 11:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r3289.
